REPOCLOSURE(1)

NOM
repoclosure – Redirection vers le greffon repoclosure de DNF

Affichage d’une liste de dépendances non résolues pour les dépôts.

SYNOPSIS

dnf repoclosure [options]

DESCRIPTION

repoclosure est un programme qui lit les métadonnées de paquet d’un ou plusieurs dépôts, examine toutes les dépendances et affiche une liste de paquets ayant des dépendances non résolues.

  Options

Toutes les options générales de DNF sont acceptées ; voir Options dans dnf(8) pour les détails.

    --arch architecture
        Rechercher seulement les paquets de l’architecture indiquée. Cette option peut être indiquée plusieurs fois (par défaut, toutes les architectures compatibles avec le système). Pour exécuter repoclosure pour une architecture incompatible avec le système, utiliser l’option --forcearch=architecture pour modifier l’architecture de base du système (basearch).

    --best
        Examiner seulement les nouveaux paquets par architecture.

    --check identifiant_dépôt
        Indiquer les dépôts à examiner. Cette option peut être indiquée plusieurs fois (par défaut, tous les dépôts sont activés).

    --newest
        Examiner seulement les nouveaux paquets dans les dépôts.

    --pkg spécification_paquet
        Examiner la sélection (« closure ») pour ce paquet seulement.

    --repo <identifiant_dépôt>
        Indiquer les identifiants de dépôt pour la recherche. Cette option peut être indiquée plusieurs fois (par défaut, tous les dépôts sont activés).

EXEMPLES

Afficher une liste de dépendances non résolues pour tous les dépôts activés.

            dnf repoclosure

Afficher une liste de dépendances non résolues pour le dépôt rawhide et les paquets de l’architecture noarch et x86_64 :

            dnf repoclosure --repo rawhide --arch noarch --arch x86_64

Afficher une liste de dépendances non résolues pour le paquet zmap de rawhide :

            dnf repoclosure --repo rawhide --pkg zmap

Afficher une liste de dépendances non résolues pour mon_dépôt, une extension pour le dépôt rawhide :

            dnf repoclosure --repo rawhide --check mon_dépôt

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNF.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.